org.eclipse.viatra.query.runtime.tabular

## Class TabularIndexHost.TabularIndexScope

- java.lang.Object
- - org.eclipse.viatra.query.runtime.internal.apiimpl.EngineContextFactory
  - - org.eclipse.viatra.query.runtime.api.scope.QueryScope
    - - org.eclipse.viatra.query.runtime.tabular.TabularIndexHost.TabularIndexScope

- Enclosing class:
    TabularIndexHost

      public class TabularIndexHost.TabularIndexScope
      extends QueryScope

  A scope describing queries evaluated against tzhis index host.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TabularIndexScope()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected IEngineContext` | `createEngineContext(ViatraQueryEngine engine, IIndexingErrorListener errorListener, org.apache.log4j.Logger logger)`
    `boolean` | `equals(java.lang.Object obj)`
    `TabularIndexHost` | `getIndexHost()`
    `int` | `hashCode()`
    `boolean` | `isCompatibleWithQueryScope(java.lang.Class<? extends QueryScope> queryScopeClass)` Determines whether a query engine initialized on this scope can evaluate queries formulated against the given scope type.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TabularIndexScope

          public TabularIndexScope()

  - ### Method Detail

    - #### getIndexHost

          public TabularIndexHost getIndexHost()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### isCompatibleWithQueryScope

          public boolean isCompatibleWithQueryScope(java.lang.Class<? extends QueryScope> queryScopeClass)

      Description copied from class: `QueryScope`
      Determines whether a query engine initialized on this scope can evaluate queries formulated against the given scope type.

      Every query scope class is compatible with a query engine initialized on a scope of the same class or a subclass.

      Overrides:
        `isCompatibleWithQueryScope` in class `QueryScope`
      Parameters:
        `queryScopeClass` - the scope class returned by invoking `IQuerySpecification.getPreferredScopeClass()` on a query specification
      Returns:
        true if an `ViatraQueryEngine` initialized on this scope can consume an `IQuerySpecification`

    - #### createEngineContext

          protected IEngineContext createEngineContext(ViatraQueryEngine engine,
                                                       IIndexingErrorListener errorListener,
                                                       org.apache.log4j.Logger logger)

      Specified by:
        `createEngineContext` in class `org.eclipse.viatra.query.runtime.internal.apiimpl.EngineContextFactory`